Bug 1429374 - [TPS Testing]: calamari-server.x86_64: /var/lib/graphite/whisper .....UG.. [tps:B]
Summary: [TPS Testing]: calamari-server.x86_64: /var/lib/graphite/whisper .....UG.. [...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Build
Version: 2.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 2.3
Assignee: Ken Dreyer (Red Hat)
QA Contact: Vasishta
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-06 08:54 UTC by Vasishta
Modified: 2017-06-19 13:30 UTC (History)
3 users (show)

Fixed In Version: calamari-server-1.5.6-2.el7cp
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-19 13:30:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1497 normal SHIPPED_LIVE Red Hat Ceph Storage 2.3 bug fix and enhancement update 2017-06-19 17:24:11 UTC

Description Vasishta 2017-03-06 08:54:58 UTC
Description of problem:
Verify test for tps-rpmtest failed on MON package with following error message.

result: verify test: FAIL:
calamari-server.x86_64: /var/lib/graphite/whisper .....UG..  [tps:B]
calamari-server.x86_64: /var/log/calamari .....UG..  [tps:B]
calamari-server.x86_64: /opt/calamari/webapp/calamari/manage.py .....UG..  [tps:B]
calamari-server.x86_64: /opt/calamari/webapp/calamari/manage.pyc .....UG..  [tps:B]
calamari-server.x86_64: /opt/calamari/webapp/calamari/.gitignore .....UG..  [tps:B]
calamari-server.x86_64: /var/lib/graphite/log/webapp .....UG..  [tps:B]
calamari-server.x86_64: /var/lib/graphite .....UG..  [tps:B]
calamari-server.x86_64: /opt/calamari/webapp/calamari/manage.pyo .....UG..  [tps:B]
calamari-server.x86_64: /var/lib/graphite/log .....UG..  [tps:B]
calamari-server.x86_64: /opt/calamari/webapp/calamari .....UG..  [tps:B]
calamari-server.x86_64: /var/log/graphite .....UG..  [tps:B]
TPS verify test analysis tags:
tps:a -- verify errors on both arches
tps:b -- verify error on file not present in alternative arch
tps:c -- verify error on preferred binary/ELF file
tps:d -- significant type of verify error
TPSINFO: built-in verifyTest result: FAIL
end test at Mon Mar  6 02:17:13 EST 2017 on <host_name>
TPSRESULT: VerifyTest Returning: FAIL

Actual results:


Expected results:

Comment 3 Ken Dreyer (Red Hat) 2017-03-06 17:20:31 UTC
The problem here is that the RPM still thinks several directories should be owned by the "apache" UID/GID, but Calamari 1.5 no longer depends on Apache.

https://github.com/ceph/calamari/pull/514 should fix this.

Since Calamari runs directly as root now, it doesn't really matter if the apache UID/GID is defined or not, and the "rpm --verify" issue is mainly cosmetic. By that reasoning I think we should re-target this to 2.3.

Comment 14 Vasishta 2017-06-02 07:14:02 UTC
Hi,

Rescheduled the test and it works fine now.
Please refer Link mentioned in Comment 8 updated log.


Regards,
Vasishta

Comment 16 errata-xmlrpc 2017-06-19 13:30:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1497


Note You need to log in before you can comment on or make changes to this bug.